Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.ui.support
Class FileSensitiveActions

    java.lang.Object
      org.netbeans.spi.project.ui.support.FileSensitiveActions

    public class FileSensitiveActions

extends Object

Factory for creating file-sensitive actions.

Method Summary
`static Action` | `fileCommandAction(String command, String namePattern, Icon icon)` Creates an action sensitive to the set of currently selected files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fileCommandAction

    public static Action fileCommandAction(String command,
                                           String namePattern,
                                           Icon icon)

  Creates an action sensitive to the set of currently selected files. When performed the action will call the given command on the `ActionProvider` of the selected project(s) and pass the proper context to it. Enablement of the action depends on the behavior of the project's action provider.
  Shortcuts for actions are shared according to command, i.e. actions based on the same command will have the same shortcut.

  Parameters:
    `command` - the command which should be invoked when the action is performed
    `namePattern` - pattern which should be used for determining the action's name (label). It takes two parameters a la `MessageFormat`: `{0}` - number of selected projects; `{1}` - name of the first project.
    `icon` - icon of the action (or null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.